Bug 5481 - Build wine with Gallium Nine and OSMesa support
: Build wine with Gallium Nine and OSMesa support
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks: 5489
  Show dependency treegraph
 
Reported: 2015-05-05 12:19 MSD by Andrey Bondrov
Modified: 2015-05-25 15:39 MSD (History)
3 users (show)

See Also:
RPM Package: wine
ISO-related:
Bad POT generating:
Upstream:
firstlevel: qa_verified+
denis.silakov: published+


Attachments
old wine64 (143.88 KB, image/jpeg)
2015-05-18 17:10 MSD, FirstLevel
Details
new wine64 (190.97 KB, image/jpeg)
2015-05-18 17:11 MSD, FirstLevel
Details
01.jpg (192.93 KB, image/jpeg)
2015-05-18 17:25 MSD, FirstLevel
Details
02.jpg (186.13 KB, image/jpeg)
2015-05-18 17:25 MSD, FirstLevel
Details
03.jpg (189.08 KB, image/jpeg)
2015-05-18 17:26 MSD, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2015-05-05 12:19:53 MSD
Let's try to build wine with Gallium Nine (Gallium Direct3D state tracker) and OSMesa support.

OSMesa is needed for OpenGL rendering in bitmaps.

Gallium Nine is needed for performance boost with Gallium video drivers.
See https://wiki.ixit.cz/d3d9
Comment 1 Andrey Bondrov 2015-05-05 12:21:02 MSD
Advisory: "Build wine with Gallium Nine and OSMesa support. OSMesa provides OpenGL rendering in bitmaps. Gallium Nine provides performance boost with Gallium video drivers."

https://abf.rosalinux.ru/build_lists/2497232
https://abf.rosalinux.ru/build_lists/2497233
Comment 2 FirstLevel 2015-05-18 15:46:59 MSD
32bit

install old, plug container, update, launch winfile - ok
plug container, install new, launch winfile - ok
Comment 3 FirstLevel 2015-05-18 15:57:02 MSD
64bit
It is strange.
If I install old wine64 package I need to install wine (32 bit) for dependencies.
If I install new version wine64 package I need not install wine (32bit).

See logs:
old

[root@r5-64 ~]# urpmi wine64
Package libgphoto-common-2.5.4-2-rosa2014.1.x86_64 is already installed
Marking libgphoto-common as manually installed, it won't be auto-orphaned
writing /var/lib/rpm/installed-through-deps.list
To satisfy dependencies, the following packages are going to be installed:
 Package                        Version      Release       Dist  DEpoch Arch 
(medium "main")
 libz1                          1.2.8        2             rosa  2014.1 x86_64 (suggested)
 sane-frontends                 1.0.14       18            rosa  2014.1 x86_64 (suggested)
(medium "main updates")
 cabextract                     1.6          1             rosa  2014.1 x86_64 
 lib64gimp2.0_0                 2.8.14       3             rosa  2014.1 x86_64 (suggested)
 lib64gimpbase2.0_0             2.8.14       3             rosa  2014.1 x86_64 (suggested)
 lib64gimpcolor2.0_0            2.8.14       3             rosa  2014.1 x86_64 (suggested)
 lib64gimpconfig2.0_0           2.8.14       3             rosa  2014.1 x86_64 (suggested)
 lib64gimpmath2.0_0             2.8.14       3             rosa  2014.1 x86_64 (suggested)
 wine64                         1.7.42       1             rosa  2014.1 x86_64 
(medium "Main32")
 libasm1                        0.159        1             rosa  2014.1 i586 (suggested)
 libasyncns0                    0.8          5             rosa  2014.1 i586 (suggested)
 libbzip2_1                     1.0.6        6             rosa  2014.1 i586 (suggested)
 libcap2                        2.22         8             rosa  2014.1 i586 (suggested)
 libcelt0_2                     0.11.3       3             rosa  2014.1 i586 (suggested)
 libdw1                         0.159        1             rosa  2014.1 i586 (suggested)
 libelf1                        0.159        1             rosa  2014.1 i586 (suggested)
 libexif12                      0.6.21       4             rosa  2014.1 i586 (suggested)
 libexpat1                      2.1.0        3             rosa  2014.1 i586 (suggested)
 libffi6                        3.1          5             rosa  2014.1 i586 (suggested)
 libflac8                       1.3.0        2             rosa  2014.1 i586 (suggested)
 libgcrypt20                    1.6.1        2             rosa  2014.1 i586 (suggested)
 libglib2.0_0                   2.40.0       4             rosa  2014.1 i586 (suggested)
 libgmodule2.0_0                2.40.0       4             rosa  2014.1 i586 (suggested)
 libgobject2.0_0                2.40.0       4             rosa  2014.1 i586 (suggested)
 libgpg-error0                  1.12         2             rosa  2014.1 i586 (suggested)
 libgphoto2_6                   2.5.4        2             rosa  2014.1 i586 (suggested)
 libgphoto2_port10              2.5.4        2             rosa  2014.1 i586 (suggested)
 libgsm1                        1.0.13       7             rosa  2014.1 i586 (suggested)
 libgstbase0.10_0               0.10.36      6             rosa  2014.1 i586 (suggested)
 libgstreamer-plugins-base0.10  0.10.36      7             rosa  2014.1 i586 (suggested)
 libgstreamer0.10_0             0.10.36      6             rosa  2014.1 i586 (suggested)
 libgthread2.0_0                2.40.0       4             rosa  2014.1 i586 (suggested)
 libice6                        1.0.8        4             rosa  2014.1 i586 (suggested)
 libjson-c2                     0.12         2             rosa  2014.1 i586 (suggested)
 libllvm3.5                     3.5.0        1             rosa  2014.1 i586 (suggested)
 libltdl7                       2.4.2        17            rosa  2014.1 i586 (suggested)
 liblzma5                       5.1.3        0.alpha.3.20> rosa  2014.1 i586 (suggested)
 libmpg123_0                    1.15.4       3             rosa  2014.1 i586 (suggested)
 libogg0                        1.3.2        2             rosa  2014.1 i586 (suggested)
 libopenjpeg5                   1.5.1        4             rosa  2014.1 i586 (suggested)
 libopus0                       1.1          10            rosa  2014.1 i586 (suggested)
 liborc0.4_0                    0.4.22       1             rosa  2014.1 i586 (suggested)
 libpciaccess0                  0.13.2       2             rosa  2014.1 i586 (suggested)
 libpcre1                       8.35         2             rosa  2014.1 i586 (suggested)
 libsamplerate0                 0.1.8        4             rosa  2014.1 i586 (suggested)
 libsasl2                       2.1.25       7             rosa  2014.1 i586 (suggested)
 libschroedinger1.0_0           1.0.11       2             rosa  2014.1 i586 (suggested)
 libsm6                         1.2.1        2             rosa  2014.1 i586 (suggested)
 libsndfile1                    1.0.25       7             rosa  2014.1 i586 (suggested)
 libsoxr0                       0.1.1        2             rosa  2014.1 i586 (suggested)
 libspeex1                      1.2          0.rc1.7       rosa  2014.1 i586 (suggested)
 libtheoradec1                  1.1.1        12            rosa  2014.1 i586 (suggested)
 libtheoraenc1                  1.1.1        12            rosa  2014.1 i586 (suggested)
 libva1                         1.3.1        2             rosa  2014.1 i586 (suggested)
 libvorbis0                     1.3.4        4             rosa  2014.1 i586 (suggested)
 libvorbisenc2                  1.3.4        4             rosa  2014.1 i586 (suggested)
 libvpx1                        1.3.0        1.20131127    rosa  2014.1 i586 (suggested)
 libwavpack1                    4.60.1       6             rosa  2014.1 i586 (suggested)
 libwayland-client0             1.5.0        3             rosa  2014.1 i586 (suggested)
 libwrap0                       7.6          45            rosa  2014.1 i586 (suggested)
 libx11-xcb1                    1.6.2        2             rosa  2014.1 i586 (suggested)
 libx11_6                       1.6.2        2             rosa  2014.1 i586 (suggested)
 libxau6                        1.0.8        2             rosa  2014.1 i586 (suggested)
 libxcb-dri2_0                  1.10         4             rosa  2014.1 i586 (suggested)
 libxcb-dri3_0                  1.10         4             rosa  2014.1 i586 (suggested)
 libxcb-glx0                    1.10         4             rosa  2014.1 i586 (suggested)
 libxcb-present0                1.10         4             rosa  2014.1 i586 (suggested)
 libxcb-sync1                   1.10         4             rosa  2014.1 i586 (suggested)
 libxcb1                        1.10         4             rosa  2014.1 i586 (suggested)
 libxdamage1                    1.1.3        6             rosa  2014.1 i586 (suggested)
 libxdmcp6                      1.1.1        4             rosa  2014.1 i586 (suggested)
 libxext6                       1.3.3        1             rosa  2014.1 i586 (suggested)
 libxfixes3                     5.0          6             rosa  2014.1 i586 (suggested)
 libxml2_2                      2.9.1        2             rosa  2014.1 i586 (suggested)
 libxshmfence1                  1.1          2             rosa  2014.1 i586 (suggested)
 libxtst6                       1.2.2        4             rosa  2014.1 i586 (suggested)
 libxv1                         1.0.10       2             rosa  2014.1 i586 (suggested)
 libxxf86vm1                    1.1.3        3             rosa  2014.1 i586 (suggested)
(medium "Main32 Updates")
 libalsa-plugins                1.0.29       1             rosa  2014.1 i586 (suggested)
 libalsa-plugins-pulseaudio     1.0.29       1             rosa  2014.1 i586 (suggested)
 libasound2                     1.0.29       1             rosa  2014.1 i586 (suggested)
 libdbus-1_3                    1.8.4        7             rosa  2014.1 i586 (suggested)
 libdri-drivers                 10.5.3       1             rosa  2014.1 i586 (suggested)
 libdrm2                        2.4.58       1             rosa  2014.1 i586 (suggested)
 libdrm_intel1                  2.4.58       1             rosa  2014.1 i586 (suggested)
 libdrm_nouveau2                2.4.58       1             rosa  2014.1 i586 (suggested)
 libdrm_radeon1                 2.4.58       1             rosa  2014.1 i586 (suggested)
 libgl1                         10.5.3       1             rosa  2014.1 i586 (suggested)
 libglapi0                      10.5.3       1             rosa  2014.1 i586 (suggested)
 libglu1                        9.0.0        7             rosa  2014.1 i586 (suggested)
 libldap2.4_2                   2.4.40       12            rosa  2014.1 i586 (suggested)
 libncurses5                    5.9          7.20130218.3  rosa  2014.1 i586 (suggested)
 libncursesw5                   5.9          7.20130218.3  rosa  2014.1 i586 (suggested)
 libopenal1                     1.15.1       8             rosa  2014.1 i586 (suggested)
 libopenssl1.0.0                1.0.1m       1             rosa  2014.1 i586 (suggested)
 libpulseaudio0                 6.0          1             rosa  2014.1 i586 (suggested)
 libpulsecommon6.0              6.0          1             rosa  2014.1 i586 (suggested)
 libsystemd-daemon0             208          53.20141106.> rosa  2014.1 i586 (suggested)
 libsystemd-id1280              208          53.20141106.> rosa  2014.1 i586 (suggested)
 libsystemd-journal0            208          53.20141106.> rosa  2014.1 i586 (suggested)
 libxvmc1                       1.0.8        1             rosa  2014.1 i586 (suggested)
 wine32                         1.7.42       1             rosa  2014.1 i586 (suggested)
(medium "contrib")
 wine64-gecko                   2.24         3             rosa  2014.1 x86_64 (suggested)
(medium "restricted")
 webcore-fonts                  3.0          2             rosa  2014.1 noarch (suggested)
(medium "Restricted32")
 liblame0                       3.99.5       4             plf   2014.1 i586 (suggested)
 libopencore-amr0               0.1.3        2             plf   2014.1 i586 (suggested)
 libtxc-dxtn                    1.0.1        3             plf   2014.1 i586 (suggested)
 libvo-aacenc0                  0.1.2        1             rosa  2014.1 i586 (suggested)
 libvo-amrwbenc0                0.1.2        1             rosa  2014.1 i586 (suggested)
 libx265_21                     1.1          1             plf   2014.1 i586 (suggested)
 libxvid4                       1.3.3        1             plf   2014.1 i586 (suggested)
(medium "Restricted32 Updates")
 libavcodec56                   2.5.4        4plf          plf   2014.1 i586 (suggested)
 libavutil54                    2.5.4        4plf          plf   2014.1 i586 (suggested)
 libswresample1                 2.5.4        4plf          plf   2014.1 i586 (suggested)
 libx264_142                    0.142        0.20140615.2  plf   2014.1 i586 (suggested)
416MB of additional disk space will be used.
90MB of packages will be retrieved.
Proceed with the installation of the 115 packages? (Y/n) 

new

[root@r5-64 ~]# urpmi wine64                                                                                                                         
To satisfy dependencies, the following packages are going to be installed:
 Package                        Version      Release       Dist  DEpoch Arch 
(medium "main")
 sane-frontends                 1.0.14       18            rosa  2014.1 x86_64 (suggested)
(medium "main updates")
 cabextract                     1.6          1             rosa  2014.1 x86_64 
 lib64d3dtracker1               10.5.3       1             rosa  2014.1 x86_64 
 lib64gimp2.0_0                 2.8.14       3             rosa  2014.1 x86_64 (suggested)
 lib64gimpbase2.0_0             2.8.14       3             rosa  2014.1 x86_64 (suggested)
 lib64gimpcolor2.0_0            2.8.14       3             rosa  2014.1 x86_64 (suggested)
 lib64gimpconfig2.0_0           2.8.14       3             rosa  2014.1 x86_64 (suggested)
 lib64gimpmath2.0_0             2.8.14       3             rosa  2014.1 x86_64 (suggested)
(medium "contrib")
 wine64-gecko                   2.24         3             rosa  2014.1 x86_64 (suggested)
(medium "Restricted32")
 webcore-fonts                  3.0          2             rosa  2014.1 noarch (suggested)
(medium "tst")
 wine64                         1.7.42       2             rosa  2014.1 x86_64 
193MB of additional disk space will be used.
48MB of packages will be retrieved.
Proceed with the installation of the 11 packages? (Y/n)
Comment 4 Andrey Bondrov 2015-05-18 16:49:46 MSD
(In reply to comment #3)
> 64bit
> It is strange.
> If I install old wine64 package I need to install wine (32 bit) for
> dependencies.
> If I install new version wine64 package I need not install wine (32bit).

I guess that's because you enabled only x86_64 container with new version.
Comment 5 FirstLevel 2015-05-18 17:00:48 MSD
(In reply to comment #4)
> (In reply to comment #3)
> > 64bit
> > It is strange.
> > If I install old wine64 package I need to install wine (32 bit) for
> > dependencies.
> > If I install new version wine64 package I need not install wine (32bit).
> 
> I guess that's because you enabled only x86_64 container with new version.

Should I enable both new containers (32bit and 64bit)?
Comment 6 FirstLevel 2015-05-18 17:10:44 MSD
Created attachment 3967 [details]
old wine64
Comment 7 FirstLevel 2015-05-18 17:11:02 MSD
Created attachment 3968 [details]
new wine64
Comment 8 Andrey Bondrov 2015-05-18 17:17:31 MSD
(In reply to comment #5)
> (In reply to comment #4)
> > (In reply to comment #3)
> > > 64bit
> > > It is strange.
> > > If I install old wine64 package I need to install wine (32 bit) for
> > > dependencies.
> > > If I install new version wine64 package I need not install wine (32bit).
> > 
> > I guess that's because you enabled only x86_64 container with new version.
> 
> Should I enable both new containers (32bit and 64bit)?

Only in case you need wine32 to be installed.
Comment 9 FirstLevel 2015-05-18 17:25:19 MSD
Created attachment 3969 [details]
01.jpg
Comment 10 FirstLevel 2015-05-18 17:25:48 MSD
Created attachment 3970 [details]
02.jpg
Comment 11 FirstLevel 2015-05-18 17:26:25 MSD
Created attachment 3971 [details]
03.jpg
Comment 12 FirstLevel 2015-05-18 17:31:30 MSD
I have some issue with wine 64.
I have installed wine 64 (with plugged two new containers) in virtual machines.
I have launched winfile and after donwloading and installing some package (it is traditional way for all wine) I have see such screen 01.jpg that hangs for severel minutes. Then I see winfile window 02.jpg. But If I close it I see that other wine windows are presented 03.jpg
Comment 13 Andrey Bondrov 2015-05-18 18:53:13 MSD
Meanwhile new version of wine was released.

Advisory: "New version 1.7.43. Build wine with Gallium Nine and OSMesa support. OSMesa provides OpenGL rendering in bitmaps. Gallium Nine provides performance boost with Gallium video drivers."

https://abf.rosalinux.ru/build_lists/2502456
https://abf.rosalinux.ru/build_lists/2502457
Comment 14 FirstLevel 2015-05-19 10:03:10 MSD
32bit

install old, plug container, update, launch winfile - ok
plug container, install new, launch winfile - ok

64bit

install old, plug container, update, launch winfile - ok
plug container, install new, launch winfile - ok
Comment 15 Vladimir Potapov 2015-05-21 13:15:25 MSD
The update is sent to expanded testing
***************************************
Comment 16 FirstLevel 2015-05-25 15:28:32 MSD
wine-1.7.43-1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2502456/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2502457/x86_64/main/release/
************************ Advisory **********************
Build wine with Gallium Nine and OSMesa support. OSMesa provides OpenGL rendering in bitmaps. Gallium Nine provides performance boost with Gallium video drivers.
********************************************************
QA Verified